- move paint to idle handlers
- check if its useful to add some WMBrowserSelectionDidChangeNotification
  (actually a pass-through for WMListSelectionDidChangeNotification).
  Or a delegate to be called when the list selection change.
- add some way to modify speed when scrolling WMList, depending on how
  far the mouse is moved outside of the list.
- clean up header files of declared but not implemented anywhere functions
- implement a generic WMChangeFontAttribute(WMFont *font, enum attributes)
  function


- optimize color allocation for repeated colors
- make it work in 8bpp
- optimize SystemFont allocation for repeated font sizes
